Skip to main content
GET
/
ach
/
incoming
List Incoming ACH Transactions
curl --request GET \
  --url https://api.synctera.com/v2/ach/incoming \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "account_no": "122455799",
      "amount": 10000,
      "company_entry_description": "PAYROLL",
      "company_name": "Asdf Finance",
      "dc_sign": "debit",
      "effective_date": "2022-03-25",
      "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "identification_number": "<string>",
      "is_future_dated": true,
      "originating_routing_number": "364275034",
      "sec_code": "WEB",
      "settlement_date": "2022-03-25",
      "status": "INIT",
      "tenant": "abcdef_ghijkl",
      "trace_no": "123456780000069",
      "account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "decline_reason": "Suspected fraud",
      "external_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "outgoing_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "reference_info": [
        "<string>"
      ]
    }
  ],
  "next_page_token": "a8937a0d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

status
enum<string>

Optional query parameter that can be use to filter the list of returned wires by transfer status

Available options:
READY,
BLOCKED,
POSTED
Example:

"READY"

settlement_date_from
string<date>

Start of the settlement date range query

Example:

"2023-09-15"

settlement_date_to
string<date>

End of the settlement date range query

Example:

"2023-09-25"

account_id
string<uuid>[]

Account ID

Response

Incoming ACH transactions list

transactions
object[]
required

Array of incoming ACH transactions

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"